## Windows Console Viewer Plug-in Manual
## Introduction

This add-in makes it easy to view the contents of Windows consoles through an interactive dialog. It is a valid tool for any Windows console window, allowing easy navigation and integrated search options.

## Initial Configuration
### Key Assignment

To use this plug-in, you need to assign a key combination that will invoke the console viewer dialog. You can do this from the following path:

```
NVDA > Preferences > Input Gestures > Console Viewer > Display Console Viewer
```

### Restrictions

* Only one dialog is allowed to be open at a time.
* The dialog can only be invoked when a Windows console window is in focus.

## Dialog Functionalities
### Navigation

* Use the cursor keys to navigate through the content.
* Press `F1` to get the current cursor line and position.

### Search

* `Ctrl + F`: Opens a search dialog.
* `F3`: Displays a search dialog. If a search has already been performed previously, it will search for the following result.
* `Shift + F3`: Searches for the previous result in the search.
* Searches are not case-sensitive, and can be performed on exact words or word fragments.
* Each successful search will emit a "beep" sound indicating that the cursor is now on the next word found.

### Quick Menu

Quick access to the menu with `Alt + R`, where you will find the following options:

* Search
* Save the contents of the console to a file
* Exit the console

### Exit Dialog

* `Alt + F4` or `Escape`: Closes the dialog.

## Content Update

If you open a dialog and then the console updates, you will have to close the dialog and invoke it again to see the updates.

## Common Windows Consoles

In Windows, there are several consoles or terminals that you can use to run commands and scripts. Here's a list of the most common consoles:

1. **CMD** (Command Prompt): This is a text-based console for executing commands and batch scripts.
   
2. **PowerShell**: It is an advanced console that allows the automation of tasks through scripts. It offers more features than the traditional CMD.
   
3. **Windows Terminal**: It is a modern application that allows access to multiple consoles, such as PowerShell, CMD and the Linux console (through the Windows Subsystem for Linux).
   
4. **Bash** (Through the Windows Subsystem for Linux): Allows you to run a Linux environment inside Windows, allowing the use of Linux commands and applications.

> **Note**: You can access these consoles through the Windows start menu or through Windows search by typing the name of the console you want to use.

## Change log.
###Version 1.3.

* Windows Terminal support has been added.

This function is being tested.

At the moment in the tests made it extracts correctly the text and shows it to be able to be visualized comfortably in a dialog and to be able to work with it.

This new function is added to the viewer of consoles cmd, powershell and bash using the same combination of keys that we have added to the complement.

When pressing this combination it will detect what kind of console we have focused and will act accordingly.

###Version 1.2.

* Fixed critical Windows 10 permissions denial error (code 5).

* Turkish language and documentation (Umut KORKMAZ) have been added.

* Added console detection without text.

###Version 1.1.

* Bug fixes in translatable strings.

* Added English language with automatic translation.

###Version 1.0.

* Initial version.